import Docker from "dockerode";
export default abstract class DockerWrapper {
    protected docker?: Docker;
    abstract dispose(): Promise<void>;
    get(): Promise<Docker>;
    abstract getDocker(): Promise<Docker>;
    abstract isAvailable(): Promise<boolean>;
    abstract prepare(): Promise<void>;
    abstract start(): Promise<void>;
}
